Bug 29097 - [glsl2] glean case glsl1 cause GPU error
Summary: [glsl2] glean case glsl1 cause GPU error
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: high critical
Assignee: Eric Anholt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 29044
  Show dependency treegraph
 
Reported: 2010-07-16 01:33 UTC by zhao jian
Modified: 2010-07-25 18:57 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg.0.log (24.70 KB, text/plain)
2010-07-16 01:33 UTC, zhao jian
Details
i915_error_state (757.51 KB, text/plain)
2010-07-16 01:34 UTC, zhao jian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zhao jian 2010-07-16 01:33:14 UTC
Created attachment 37113 [details]
xorg.0.log

System Environment:
--------------------------
Arch:          x86_64
Platform:      Piketon
Libdrm:         (master)b803918f3f77c62edf22e78cb2095be399753423
Mesa:           (glsl2)17a307d154489d718ab51a6272d2054868d782f6
Xserver:                (master)xorg-server-1.8.99.905
Xf86_video_intel:       (master)2267e5928bd90a6997970584462bd97df447e819
Kernel: v2.6.35-rc5

Bug detailed description:
-------------------------
Run the glean test case glsl1 with the mesa glsl2 branch's code, it will has some error info as folowing. Many folowing test cases are affected by it. 

intel_bufmgr_gem.c:1098: Error setting domain 9: Input/output error intel_bufmgr_gem.c:1098: Error setting domain 9: Input/output error intel_bufmgr_gem.c:1098: Error setting domain 9: Input/output error intel_bufmgr_gem.c:1098: Error setting domain 9: Input/output error intel_bufmgr_gem.c:1098: Error setting domain 9: Input/output error intel_bufmgr_gem.c:1098: Error setting domain 9: Input/output error intel_bufmgr_gem.c:1098: Error setting domain 9: Input/output error intel_bufmgr_gem.c:1098: Error setting domain 9: Input/output error

Reproduce steps:
----------------
1. xinit & 
2. ./glean -r glsl1 -o --quick -v -v -v -t glsl1
Comment 1 zhao jian 2010-07-16 01:34:43 UTC
Created attachment 37114 [details]
i915_error_state
Comment 2 Eric Anholt 2010-07-20 17:26:32 UTC
Appending this to all.tests works around the problem for now:

profile.tests['glean']['glsl1-for-loop with continue'].env['LIBGL_ALWAYS_SOFTWARE'] = 1
Comment 3 Eric Anholt 2010-07-22 13:14:15 UTC
commit 2d1ed7b1b112cf13dd7eda7f500691f4c98a1ccc
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Jul 22 12:55:16 2010 -0700

    glsl2: When a "continue" happens in a "for" loop, run the loop expression.
    
    Fixes:
    glsl1-for-loop with continue
    
    Bug #29097
Comment 4 zhao jian 2010-07-25 18:57:46 UTC
(In reply to comment #3)
> commit 2d1ed7b1b112cf13dd7eda7f500691f4c98a1ccc
> Author: Eric Anholt <eric@anholt.net>
> Date:   Thu Jul 22 12:55:16 2010 -0700
>     glsl2: When a "continue" happens in a "for" loop, run the loop expression.
>     Fixes:
>     glsl1-for-loop with continue
>     Bug #29097

With the newest code(3e882ec84a2493da74c55d105010a37de521e593) on mesa glsl2 branch, glean/glsl1 will not hang GPU now and it doesn't affect other tests. So verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.